java.security

## Class KeyStore.SecretKeyEntry

- java.lang.Object
- - java.security.KeyStore.SecretKeyEntry

- All Implemented Interfaces:
    KeyStore.Entry
  Enclosing class:
    KeyStore

      public static final class KeyStore.SecretKeyEntry
      extends Object
      implements KeyStore.Entry

  A `KeyStore` entry that holds a `SecretKey`.
  Since:
    1.5

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyStore.SecretKeyEntry(SecretKey secretKey)` Constructs a `SecretKeyEntry` with a `SecretKey`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SecretKey` | `getSecretKey()` Gets the `SecretKey` from this entry.
    `String` | `toString()` Returns a string representation of this SecretKeyEntry.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### KeyStore.SecretKeyEntry

          public KeyStore.SecretKeyEntry(SecretKey secretKey)

      Constructs a `SecretKeyEntry` with a `SecretKey`.
      Parameters:
        `secretKey` - the `SecretKey`
      Throws:
        `NullPointerException` - if `secretKey` is `null`

  - ### Method Detail

    - #### getSecretKey

          public SecretKey getSecretKey()

      Gets the `SecretKey` from this entry.
      Returns:
        the `SecretKey` from this entry

    - #### toString

          public String toString()

      Returns a string representation of this SecretKeyEntry.
      Overrides:
        `toString` in class `Object`
      Returns:
        a string representation of this SecretKeyEntry.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.